(function($, owner) {
	var apiURL = "http://my.zhuzhou.gov.cn/zz-web/";

	owner.createSession = function() {
		owner.getData("session/createSession", '', function(result, status) {
			//console.log(result.code);
			if(result.code == 1000) {
				console.log('session_id获取成功');
				//console.log(result.session_id);  
				//alert(result.session_id)
				owner.setSession(result.session_id);
			} else if(result.code == 1002) {
				mui.toast(result.errorMsg);
			}

		});
	}
//	setInterval(function() {
//		owner.createSession();
//		//alert("25分钟后重新获取")
//	}, 1500000)

	//get请求
	owner.getData = function(method, data, callback) {
		var url = apiURL + method;
		data = data || {};
		data.callback = "1111";
		//data.session_id = owner.getSession();
		//console.log(owner.getSession());
		$.ajax({
			url: url,
			data: data,
			type: 'GET',
			dataType: 'jsonp',
			success: function(result) {
				if(result.code == 1100) {
					//plus.nativeUI.closeWaiting();
					//用户未登录或者会话已失效,请获取session_id.
					console.log(url);
					//mui.toast('网络异常,请重试！');
					owner.createSession();
				} else {
					callback(result);
				}
			},
			error: function(result) {
				console.log(JSON.stringify(result));
				mui.toast('网络异常');
			}
		})
	}

	//POST
	owner.postData = function(method, data, callback) {
		var url = apiURL + method;
		data = data || {};
		$.ajax({
			url: url,
			type: "POST",
			data: data,
			processData: false,
			contentType: false,
			success: function(result) {
				if(result.code == 1100) {
					
					//用户未登录或者会话已失效,请获取session_id.
					//mui.toast('网络异常,请重试！');
				} else {
					callback(result);
				}
			},
			error: function(result) {
				mui.toast('异常');
			}
		});
	}

	//存储session_id
	owner.setSession = function(session) {
		session = session || {};
		localStorage.setItem('session', session);
	}

	//获取session_id
	owner.getSession = function() {
		var stateText = localStorage.getItem('session') || "{}";
		return JSON.parse(JSON.stringify(stateText));
	}

	//打开新页面
	owner.openNewPage = function(url, data) {

		mui.openWindow({
			url: url, //页面地址
			id: url, //页面ID
			extras: data, //传参
			show: {
				duration: 300 //页面动画持续时间，Android平台默认100毫秒，iOS平台默认200毫秒；
			},
			waiting: {
				autoShow: false, //自动显示等待框，默认为true
			}
		})
	}

	//存储部门信息
	owner.createDeptInfo = function(deptInfo) {
		deptInfo = deptInfo || {};
		localStorage.setItem('deptInfo',deptInfo);
	}
	
	//获取
	owner.getDeptInfo=function(){
		var DeptInfo = localStorage.getItem('deptInfo') || "[]";
		return JSON.parse(DeptInfo);
	}
	
	
	

	owner.openCreatePage = function(url, data) {
		plus.nativeUI.showWaiting(); //显示原生等待框
		var createWeb = plus.webview.create(url, url, {}, data);
		createWeb.addEventListener('loaded', function() {
			plus.nativeUI.closeWaiting();
			createWeb.show('slide-in-right', 300);
		}, false);
	}

	owner.alert = function(name) {
		var iframe = document.createElement("IFRAME");
        iframe.style.display="none";
        iframe.setAttribute("src", 'data:text/plain,');
        document.documentElement.appendChild(iframe);
        window.frames[0].window.alert(name);
        iframe.parentNode.removeChild(iframe);
	}

}($, window.app = {}))